0
votes
1answer
33 views

Issue Uninstall Xcode 3.2.6 Snow Leopard

Xcode 3.2.6 is here -> /Applications/Developer/Applications/Xcode uninstall --> $ sudo Applications/Developer/Library/uninstall-devtools --mode=all Problem--> sudo: ...
1
vote
2answers
8k views

Where can I get a version of Xcode that will run on 10.6.8 (the current version nolonger supports 10.6)?

Where can I get a version of Xcode that will run on 10.6.8 (the current version nolonger supports 10.6)? I tried inserting the original 10.6.8 Install disk in my laptop but it just pops back out ...
1
vote
0answers
190 views

Empty “open recent” menu in Xcode 4.6.3

So there's nothing in "open recent" and it always have been this way. I tried to "defaults write com.apple.Xcode NSRecentDocumentsLimit -int 10" (and with the other name). In settings->general ...
0
votes
1answer
1k views

Can I Run XCode 4.3.X without OSX 10.7 Lion?

I cannot upgrade my Macbook to OSX 10.7 (Lion) but would like to have XCode 4.3 as I am now running iOS 5.1 and will soon be looking at iOS 6 ... and XCode 4.2 does not allow me to work with iOS 5.1 ...
3
votes
4answers
13k views

Make and Xcode for OS X Snow Leopard

I have OS X Snow Leopard and I need install make (this exists in Xcode). I don't have the DVD to install though. On the Xcode page I don't find an old version of Xcode. How I can get an old ...
4
votes
1answer
10k views

Can't Install Xcode on OS X Snow Leopard

I have tried 3.2.5, 3.2.6, 4.0.2, 4.2 etc and I get an install error immediately after providing credentials. I provide username, password. I am admin. Then I get The "Installation Failed" error: ...
12
votes
3answers
46k views

Is there an Xcode 4.2 for Snow Leopard?

I was looking for Xcode 4.2 for Snow Leopard. I had heard that the official release for iOS 5 was also going to be Snow Leopard enabled. I could not find Xcode 4.2 + iOS5 for Snow Leopard on Apple's ...
2
votes
1answer
676 views

XCode 4 on snow leopard?

Is it still possible to get XCode 4 on snow leopard? I downgraded earlier today from lion, and need it.
1
vote
1answer
3k views

Downloading Xcode 4 for Snow Leopard

So I'm trying to download Xcode 4 for Snow Leopard, and it appears to me that you can no longer do so without upgrading to Lion? Is there some way to get this without having to upgrade my entire ...
0
votes
1answer
1k views

Open application from OSX Terminal with debug printouts

I can open an application using open, like this: open ./MyApp.app But this doesn't display the application's debug printouts - which I need. If I locate the binary inside the package manually and ...
1
vote
2answers
11k views

How to install XCode on a MacBook Air without a DVD drive?

I just bought a new MacBook Air and would like to install XCode and the Developer Tools. XCode usually comes on the Snow Leopard DVD, but the MacBook Air does not have a DVD drive, so it comes with a ...
1
vote
1answer
527 views

os x snow leopard install xcode in chroot

I'm trying to build a chroot environment for testing developer builds of some software. I need xcode installed in this chroot to build it, but the xcode package from the snow leopard install dvd will ...
0
votes
3answers
413 views

Mac OSX: opening .cc files with MacVim instead of Xcode by default

In Mac OSX 10.6.4, I'm trying to change the default application for opening .cc files from Xcode to MacVim, but Xcode or OSX won't abide. Here's a screenshot: Notice how the clicking "Change ...
2
votes
1answer
4k views

What is the latest version of Xcode which is compatible with Mac OS X v10.6.2 and iPhone? [closed]

I have Xcode 3.1.3 on Mac OS X 10.5.8 on a MacBook Pro and I want to upgrade from Leopard to Snow Leopard. What Xcode version is compatible with Snow Leopard and how do I install it? Give me some ...
9
votes
4answers
25k views

Snow Leopard: make command not found, even though XCode is installed?

So I've installed XCode on Snow Leopard. Why am I getting messages like this: sudo: make: command not found What do I need to do to resolve this issue? Solution: I'm not sure what happened, but I ...
1
vote
3answers
1k views

Cannot debug with Xcode after OS upgrade

I have a pesky problem that I can't solve without some help: I had Leopard 10.5.8 installed on a Mac Pro and Xcode 3.1.3 and yesterday I upgraded to SL. After the upgrade, something happened to the ...